#!/usr/bin/env escript

main(_) ->
	%% log errors to console
	error_logger:tty(true),
	
	% Input = "2 + 3 * 4",
	Input = "2 * (3 + 4) * 5",
	
	io:format("unkosp - die unkomplizierte Sprache.~n"),
	
	%% scanner
	{ok, Tokens, _} = unkosp_scanner:string(Input),
	io:format("===> tokens: ~p~n", [Tokens]),
	
	%% parser
	{ok, R} = unkosp_parser:parse(Tokens),
	io:format("===> parsetree: ~p~n", [R]),
	
	ok.
