#!/usr/bin/env python
import ply.lex as lex

tokens = ('zahl', 'plus', 'mal', 'klammerauf', 'klammerzu')

t_plus = r'\+'
t_mal = r'\*'
t_klammerauf = r'\('
t_klammerzu = r'\)'

def t_zahl(t):
	r'\d+'
	t.value = int(t.value)    
	return t

t_ignore  = ' \t'

def t_error(t):
	print "Illegal character '%s'" % t.value[0]
	t.lexer.skip(1)

lexer = lex.lex()




if __name__ == '__main__':
	data = "(2 + 3) * 4"
	lexer.input(data)
	while True:
		tok = lexer.token()
		if not tok: break
		print tok
